package com.ssj.service.conch.teacher.request.teacherorg;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @Author: chchen
 * @Description
 * @Date Create in 14:32 2020/1/9
 * @Modified By
 */
public class AnswerFilterBooksRequest extends BaseRequest {

    private static final long serialVersionUID = -3155347361957864323L;

    @ApiModelProperty(name = "homeworkId", value = "作业id", required = true)
    @NotBlank
    private String homeworkId;

    @ApiModelProperty(name = "pageNo", value = "当前页", required = true)
    private int pageNo;

    @ApiModelProperty(name = "pageSize", value = "每页条数", required = true)
    private int pageSize;

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }

    public int getPageNo() {
        return pageNo;
    }

    public void setPageNo(int pageNo) {
        this.pageNo = pageNo;
    }

    public int getPageSize() {
        return pageSize;
    }

    public void setPageSize(int pageSize) {
        this.pageSize = pageSize;
    }
}
